package com.yd.dal.mapper.marketing;

import com.github.pagehelper.Page;
import com.yd.api.practitioner.vo.opportunity.SalesScoreDetail;
import com.yd.dal.entity.marketing.MktLeadsAssignedTrack;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;

public interface MktLeadsAssignedTrackMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MktLeadsAssignedTrack record);

    int insertSelective(MktLeadsAssignedTrack record);

    MktLeadsAssignedTrack selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MktLeadsAssignedTrack record);

    int updateByPrimaryKey(MktLeadsAssignedTrack record);

    Page<MktLeadsAssignedTrack> selectByPrimaryKeySelective(MktLeadsAssignedTrack mktLeadsAssignedTrack);

    List<MktLeadsAssignedTrack> findByTrackTimeForNew(MktLeadsAssignedTrack mktLeadsAssignedTrack);

    HashMap<String, BigDecimal> totalStatisticsForTeam(List<Long> practitionerIds);

    MktLeadsAssignedTrack findByListNotesForCustomerId(Long customerId);

    List<SalesScoreDetail> getSalesScoreDetailByPractitionerId(@Param("practitionerId") Long practitionerId,@Param("time") String time);

    void deleteScheduleTrackById(Long scheduleTrackId);

    int updateInformedOssPathByInformedId(@Param("informedOssPath") String InformedOssPath, @Param("informedId") Long informedId);

    int updateCustomerIdByLeadsAssignedId(@Param("customerId") Long customerId, @Param("leadsAssignedId") Long leadsAssignedId);
}